import { Helpers } from "./Helpers";
export class DataFrame {
    constructor() {
        this.TransactionId = Helpers.GenerateUUID();
    }
}
export var Status;
(function (Status) {
    Status[Status["OK"] = 0] = "OK";
    Status[Status["UnknownError"] = 1] = "UnknownError";
    Status[Status["FatalError"] = 2] = "FatalError";
    Status[Status["WrongData"] = 3] = "WrongData";
    Status[Status["ResourceDoesNotExists"] = 4] = "ResourceDoesNotExists";
    Status[Status["NoPermissionToPerformThisOperation"] = 5] = "NoPermissionToPerformThisOperation";
    Status[Status["SessionHasAlreadyLoggedOnUser"] = 6] = "SessionHasAlreadyLoggedOnUser";
    Status[Status["OperationNotPermitted"] = 7] = "OperationNotPermitted";
    Status[Status["NoPermissionsToCallGivenResource"] = 8] = "NoPermissionsToCallGivenResource";
    Status[Status["ResourceIsNotAvailable"] = 9] = "ResourceIsNotAvailable";
    Status[Status["Error"] = 10] = "Error";
    Status[Status["NoData"] = 11] = "NoData";
    Status[Status["NotSupportedMethod"] = 12] = "NotSupportedMethod";
    Status[Status["UserIsNotLoggedIn"] = 13] = "UserIsNotLoggedIn";
    Status[Status["MultiDataResponseStart"] = 14] = "MultiDataResponseStart";
    Status[Status["MultiDataResponse"] = 15] = "MultiDataResponse";
    Status[Status["MultiDataResponseStop"] = 16] = "MultiDataResponseStop";
})(Status || (Status = {}));
export var Method;
(function (Method) {
    Method[Method["Get"] = 0] = "Get";
    Method[Method["Post"] = 1] = "Post";
    Method[Method["Delete"] = 2] = "Delete";
    Method[Method["Put"] = 3] = "Put";
    Method[Method["Options"] = 4] = "Options";
    Method[Method["Head"] = 5] = "Head";
})(Method || (Method = {}));
//# sourceMappingURL=DataFrame.js.map