import { IDIService } from "../../IDIService";
import { IUser } from "./IUser";
export interface IUsersService extends IDIService {
    GetUsersAsync(): Promise<IUser[]>;
    GetUserAsync(id: string): Promise<IUser | null>;
    CreateUserAsync(user: IUser): Promise<IUser>;
    UpdateUserAsync(user: IUser): Promise<IUser>;
    DeleteUserAsync(id: string): Promise<void>;
}
