import { IUsersService } from './IUsersService';
import { IUser } from './IUser';
export declare class UsersService implements IUsersService {
    private _connection;
    static readonly ServiceName: string;
    constructor();
    GetServiceName(): string;
    GetUsersAsync(): Promise<IUser[]>;
    GetUserAsync(id: string): Promise<IUser | null>;
    CreateUserAsync(user: IUser): Promise<IUser>;
    UpdateUserAsync(user: IUser): Promise<IUser>;
    DeleteUserAsync(id: string): Promise<void>;
}
